Bug 125375 - Aspell don't compile
Aspell don't compile
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: aspell (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-05 08:08 EDT by Rudolf Ulc
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 0.50.5-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-21 12:00:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rudolf Ulc 2004-06-05 08:08:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040116

Description of problem:
Aspell aspell-0.50.3-19.1.src.rpm don't compile in Fedora Core 2.
Compile in Fedora Core 1 is OK. 

Version-Release number of selected component (if applicable):
aspell-0.50.3-19.1

How reproducible:
Always

Steps to Reproduce:
1. rpm -i aspell-0.50.3-19.1.src.rpm
2. rpmbuild -ba aspell.spec

    

Actual Results:  Compile error.

Expected Results:  Compile OK.

Additional info:

mkdir .libs
 g++ -DHAVE_CONFIG_H -I. -I. -I../../../common -I../../../common -O2
-g -pipe -march=i386 -mcpu=i686 -MT data.lo -MD -MP -MF .deps/data.Tpo
-c data.cpp  -fPIC -DPIC
In file included from data.cpp:8:
data.hpp: In constructor `aspeller::DataSet::FileName::FileName()':
data.hpp:49: error: uninitialized member
'aspeller::DataSet::FileName::name' 
   with 'const' type 'const char* const'
data.hpp: In constructor `
   aspeller::DataSet::FileName::FileName(acommon::ParmString)':
data.hpp:50: error: uninitialized member
'aspeller::DataSet::FileName::name' 
   with 'const' type 'const char* const'
data.hpp: In copy constructor
`aspeller::DataSet::FileName::FileName(const 
   aspeller::DataSet::FileName&)':
data.hpp:51: error: uninitialized member
'aspeller::DataSet::FileName::name' 
   with 'const' type 'const char* const'
make[3]: *** [data.lo] Error 1
make[3]: Leaving directory
`/usr/src/redhat/BUILD/aspell-0.50.3/modules/speller/default'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory
`/usr/src/redhat/BUILD/aspell-0.50.3/modules/speller'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/src/redhat/BUILD/aspell-0.50.3/modules'
make: *** [all-recursive] Error 1
error: �patn� n�vratov� k�d z /var/tmp/rpm-tmp.92827 (%build)


chyby sestaven� RPM:
    �patn� n�vratov� k�d z /var/tmp/rpm-tmp.92827 (%build)
Comment 1 Eido Inoue 2004-06-21 12:00:53 EDT
0.50.5 seems to solve the rebuild prob. don't know why it went through
the buildsys and not fc2 though. :|

Note You need to log in before you can comment on or make changes to this bug.